<?php
/**
 * Customizer
 * 
 * @package WordPress
 * @subpackage adventure-block
 * @since adventure-block 1.0
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function adventure_block_customize_register( $wp_customize ) {
	$wp_customize->add_section( new Adventure_Block_Upsell_Section($wp_customize,'upsell_section',array(
		'title'            => __( 'Adventure Block Pro', 'adventure-block' ),
		'button_text'      => __( 'Upgrade Pro', 'adventure-block' ),
		'url'              => 'https://www.wpradiant.net/products/adventure-tour-wordpress-theme',
		'priority'         => 0,
	)));
}
add_action( 'customize_register', 'adventure_block_customize_register', 11 );

/**
 * Enqueue script for custom customize control.
 */
function adventure_block_custom_control_scripts() {
	wp_enqueue_script( 'adventure-block-custom-controls-js', get_template_directory_uri() . '/assets/js/custom-controls.js', array( 'jquery', 'jquery-ui-core', 'jquery-ui-sortable' ), '1.0', true );
	wp_enqueue_style( 'adventure-block-customize-controls', trailingslashit( get_theme_file_uri() ) . '/css/customize-controls.css' );
}
add_action( 'customize_controls_enqueue_scripts', 'adventure_block_custom_control_scripts' );
